#!/usr/bin/env python3

import jsonschema
import shortjsonschema
import sys
import json

with open(sys.argv[1]) as f:
    s = shortjsonschema.load(f.read())
    jsonschema.Draft4Validator.check_schema(s)
    print(json.dumps(s, indent=4))

